//  Copyright (c) 2005-2007 Andre Merzky (andre@merzky.net)
//  Copyright (c) 2005-2007 Hartmut Kaiser (hartmut.kaiser@gmail.com)
// 
//  Distributed under the Boost Software License, Version 1.0. (See accompanying 
//  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

#include <saga/packages/file/version.hpp>

///////////////////////////////////////////////////////////////////////////////
namespace saga 
{
  // Returns the version of the SAGA file package
  unsigned long get_file_package_version (void)
  {
    return SAGA_VERSION_PACKAGE_FILE_FULL;
  }

  // Returns the implemented SAGA file package API version
  unsigned long get_file_package_api_version (void)
  {
    return SAGA_VERSION_PACKAGE_FILE_API;
  }

} // namespace saga
///////////////////////////////////////////////////////////////////////////////

