//  Copyright (c) 2005-2007 Andre Merzky (andre@merzky.net)
//  Copyright (c) 2007 Ole Weidner (oweidner@cct.lsu.edu)
// 
//  Distributed under the Boost Software License, Version 1.0. (See accompanying 
//  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

#ifndef SAGA_TASK_BASE_HPP
#define SAGA_TASK_BASE_HPP

///////////////////////////////////////////////////////////////////////////////
namespace saga 
{
    /*! \brief Brief %description starts here     
     *
     *   Detailed %description starts here.
     */
    struct task_base 
    {
        /*! \brief Brief %description starts here     
         *
         *   Detailed %description starts here.
         */
        enum state 
        {
            Unknown   = -1,
            New       =  0,
            Running   =  1,
            Failed    =  2,
            Done      =  3,
            Canceled  =  4
        };

        /// @cond
        /** These methods are not within API scope */
        // tagging definitions
        struct Sync  {};
        struct Async {};  typedef Async ASync;
        struct Task  {};
        /// @endcond
    };
    

///////////////////////////////////////////////////////////////////////////////
} // namespace saga

#endif  // SAGA_TASK_BASE_HPP

