//  Copyright (c) 2005-2007 Hartmut Kaiser (hartmut.kaiser@gmail.com)
// 
//  Distributed under the Boost Software License, Version 1.0. (See accompanying 
//  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

#if !defined(SAGA_IMPL_PACKAGES_DATA_ADVERT_ADVERT_SERIALIZATION_HPP)
#define SAGA_IMPL_PACKAGES_DATA_ADVERT_ADVERT_SERIALIZATION_HPP

#include <saga/adaptors/serialization.hpp>

///////////////////////////////////////////////////////////////////////////////
namespace saga { namespace impl 
{

// serialization support for the advert package
class advert_serialization
:   public saga::adaptors::serialization
{
public:
    ~advert_serialization();
    std::string serialize(TR1::shared_ptr<saga::impl::object>);
    TR1::shared_ptr<saga::impl::object> deserialize(
        saga::session s, saga::object::type type, std::string const& data);
};

///////////////////////////////////////////////////////////////////////////////
}}    // namespace saga::impl

#endif // !SAGA_IMPL_PACKAGES_DATA_ADVERT_ADVERT_SERIALIZATION_HPP
